Skip to main content
POST
/
events
/
batch
Create batch
curl --request POST \
  --url https://api.getenso.ai/events/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "events": [
    {
      "CustomerEntityId": "<string>",
      "metric": "<string>",
      "value": 123,
      "timestamp": "2023-11-07T05:31:56Z",
      "metadata": {},
      "eventId": "<string>",
      "JobId": "<string>",
      "jobId": "<string>"
    }
  ]
}
'
import requests

url = "https://api.getenso.ai/events/batch"

payload = { "events": [
{
"CustomerEntityId": "<string>",
"metric": "<string>",
"value": 123,
"timestamp": "2023-11-07T05:31:56Z",
"metadata": {},
"eventId": "<string>",
"JobId": "<string>",
"jobId": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
events: [
{
CustomerEntityId: '<string>',
metric: '<string>',
value: 123,
timestamp: '2023-11-07T05:31:56Z',
metadata: {},
eventId: '<string>',
JobId: '<string>',
jobId: '<string>'
}
]
})
};

fetch('https://api.getenso.ai/events/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": "Success",
  "data": {
    "summary": {
      "success": 0,
      "failed": 3,
      "total": 3
    },
    "failedRecords": [
      {
        "index": 2,
        "error": "Customer entity not found",
        "code": 2002,
        "statusCode": 404
      },
      {
        "index": 0,
        "error": "Cannot parse input: expected '\"' before: 'N NaN:NaN:NaN.NaN\",\"metadata\":null,\"status\":\"active\",\"CustomerEntityId\":\"ent_6CsgzAdRgTlzT_9O\",\"JobId\":\"job_xI_wWRvcLpZzhiJF\",\"OrganisationId\":\"org_k0JGnR6VZsLd': (while reading the value of key timestamp): (at row 1)\\n: While executing WaitForAsyncInsert. ",
        "code": "27",
        "statusCode": 400
      },
      {
        "index": 1,
        "error": "Cannot parse input: expected '\"' before: 'N NaN:NaN:NaN.NaN\",\"metadata\":null,\"status\":\"active\",\"CustomerEntityId\":\"ent_6CsgzAdRgTlzT_9O\",\"JobId\":\"job_xI_wWRvcLpZzhiJF\",\"OrganisationId\":\"org_k0JGnR6VZsLd': (while reading the value of key timestamp): (at row 1)\\n: While executing WaitForAsyncInsert. ",
        "code": "27",
        "statusCode": 400
      }
    ]
  }
}
{
"status": "<string>",
"code": 123,
"errors": [
"<string>"
],
"message": "<string>"
}
SystemUser permission: MeterService:createUsageByMeter

Authorizations

Authorization
string
header
required

JWT bearer token obtained from POST /auth/system-login using your client credentials.

Body

application/json

Batch events payload

events
object[]
required

List of events to be created

Response

Batch processed

status
string
Example:

"success"

message
string
Example:

"Success"

data
object